# Use go 1.x based on alpine image.
FROM golang:1.19.4-alpine AS build

ADD . /go/src/session-process/
ENV GO111MODULE on
WORKDIR /go/src/session-process
RUN go mod download
RUN go build -o dist/bin/session-process ./cmd/session-process

# Release binary on latest alpine image.
FROM alpine:latest

COPY --from=build /go/src/session-process/dist/bin/session-process /usr/local/bin/session-process

# Add non-priveleged user
RUN adduser -D -u 1001 appuser
USER appuser
CMD ["/usr/local/bin/session-process"]
